package xyz.thastertyn.Window;

import java.io.IOException;
import java.util.Arrays;

import com.googlecode.lanterna.TextColor;
import com.googlecode.lanterna.gui2.BasicWindow;
import com.googlecode.lanterna.gui2.Borders;
import com.googlecode.lanterna.gui2.DefaultWindowManager;
import com.googlecode.lanterna.gui2.Direction;
import com.googlecode.lanterna.gui2.EmptySpace;
import com.googlecode.lanterna.gui2.LinearLayout;
import com.googlecode.lanterna.gui2.MultiWindowTextGUI;
import com.googlecode.lanterna.gui2.Panel;
import com.googlecode.lanterna.gui2.Separator;
import com.googlecode.lanterna.gui2.Window;
import com.googlecode.lanterna.screen.Screen;
import com.googlecode.lanterna.screen.TerminalScreen;
import com.googlecode.lanterna.terminal.DefaultTerminalFactory;
import com.googlecode.lanterna.terminal.Terminal;

import xyz.thastertyn.Jecna.Credentials;
import xyz.thastertyn.Jecna.Login;

public class MainWindow {
	
	Login l = new Login();

	public void run()
	{
		Terminal terminal = null;
		try {
			// Setup terminal and screen layers
			terminal = new DefaultTerminalFactory().createTerminal();

			Screen screen = new TerminalScreen(terminal);
			screen.startScreen();
			
			// Create panel to hold components
			final Panel mainPanel = new Panel();
			mainPanel.setLayoutManager(new LinearLayout(Direction.HORIZONTAL));
			
			// Create window to hold the panel
			BasicWindow window = new BasicWindow();
			window.setComponent(mainPanel);
			window.setHints(Arrays.asList(Window.Hint.CENTERED));
		
			mainPanel.addComponent(new Separator(Direction.VERTICAL).setLayoutData(LinearLayout.createLayoutData(LinearLayout.Alignment.Fill)));
			
			final Panel content = new Panel();
			mainPanel.addComponent(content);

			xyz.thastertyn.Window.Login login = new xyz.thastertyn.Window.Login();

			/*Rozvrh r = new Rozvrh();
			r.download(login.getJsessionId());
		
			content.addComponent(r.getPanel());*/

			// Create gui and start gui
			final MultiWindowTextGUI gui = new MultiWindowTextGUI(screen, new DefaultWindowManager(), new EmptySpace(TextColor.ANSI.BLACK_BRIGHT));
			
			login.showDialog(gui);
			/*KeyStroke k = terminal.readInput();
			if(k.equals(KeyStroke.fromString("<up>")))
			{
				window.close();
			}*/
			gui.addWindowAndWait(window);


			} catch (IOException e) {
				e.printStackTrace();
			}
	}
}
